<?php

namespace Src\Modules\JsonObjects\Interfaces\Dto;

use Src\Modules\JsonObjects\Interfaces\IFactory as IModulesFactory;
use Src\Modules\JsonObjects\Interfaces\Dto\Item\IFactory as IItemFactory;
use Src\Modules\JsonObjects\Interfaces\Dto\Dir\IFactory as IDirFactory;

interface IFactory
{
    public function init(array $conf = []): void;
    public function setModulesFactory(IModulesFactory $factory);
    public function getModulesFactory(): IModulesFactory;
    public function getItemFactory(): IItemFactory;
    public function getDirFactory(): IDirFactory;
}
